#ifndef LOCOLORSELECTOR_H
#define LOCOLORSELECTOR_H

#include <QPushButton>

class LoColorSelector : public QPushButton {
    Q_OBJECT
public:
    explicit LoColorSelector(QWidget *parent = nullptr);
    explicit LoColorSelector(const QString &text, const QColor &color = Qt::transparent, QWidget *parent = nullptr);
    void init();
    void setColor(const QColor &color);

    QColor color;
signals:
    void sColorChanged(const QColor &);
};

#endif // LOCOLORSELECTOR_H
